Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Class PersistenceMappingFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              org.apache.openjpa.persistence.PersistenceMetaDataFactory
                  org.apache.openjpa.persistence.jdbc.PersistenceMappingFactory

All Implemented Interfaces:
  Configurable, GenericConfigurable, MetaDataFactory, MetaDataModes

    public class PersistenceMappingFactory

extends PersistenceMetaDataFactory

`MetaDataFactory` for JPA mapping information.

Since:
  0.4.0
Author:
  Abe White

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`AbstractCFMetaDataFactory.Parser, AbstractCFMetaDataFactory.Serializer`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.PersistenceMetaDataFactory
`_stack`

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, JAR_FILE_URLS, MAPPING_FILE_NAMES, PERSISTENCE_UNIT_ROOT_URL, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_ALL, MODE_ANN_MAPPING, MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`PersistenceMappingFactory()`

Method Summary
`protected AnnotationPersistenceMetaDataParser` | `newAnnotationParser()` Create a new metadata parser.
`protected AnnotationPersistenceMetaDataSerializer` | `newAnnotationSerializer()` Create a new annotation serializer.
`protected XMLPersistenceMetaDataParser` | `newXMLParser(boolean loading)` Create a new metadata parser.
`protected XMLPersistenceMetaDataSerializer` | `newXMLSerializer()` Create a new serializer

Methods inherited from class org.apache.openjpa.persistence.PersistenceMetaDataFactory
`clear, defaultSourceFile, defaultSourceFile, defaultSourceFile, endConfiguration, getAnnotationParser, getDefaults, getFieldOverride, getManagedClass, getManagedClassName, getMetaModelClassName, getQueryScope, getResultSetMappingScope, getXMLAnnotationParser, getXMLParser, isMetaClass, load, loadXMLMetaData, mapPersistentTypeNames, newClassArgParser, newMetaDataFilter, newParser, newSerializer, newXMLAnnotationParser, parse, resetXMLParser, setAnnotationParser, setConfiguration, setFieldOverride, setInto, setXMLAnnotationParser, setXMLParser, startConfiguration`

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, clearMapping, decode, drop, getDefiningMetaData, getPersistentTypeNames, getSourceFile, getSourceFile, isMappingOnlyFactory, isParseTopDown, parse, parsePersistentTypeNames, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setSourceFile, setSourceFile, setURLs, setURLs, store`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`addClassExtensionKeys, addFieldExtensionKeys, setRepository, setStoreDirectory, setStoreMode, setStrict, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceMappingFactory

    public PersistenceMappingFactory()

Method Detail

### newAnnotationParser

    protected AnnotationPersistenceMetaDataParser newAnnotationParser()

  Description copied from class: `PersistenceMetaDataFactory`
  Create a new metadata parser.

  Overrides:
    `newAnnotationParser` in class `PersistenceMetaDataFactory`

### newAnnotationSerializer

    protected AnnotationPersistenceMetaDataSerializer newAnnotationSerializer()

  Description copied from class: `PersistenceMetaDataFactory`
  Create a new annotation serializer.

  Overrides:
    `newAnnotationSerializer` in class `PersistenceMetaDataFactory`

### newXMLParser

    protected XMLPersistenceMetaDataParser newXMLParser(boolean loading)

  Description copied from class: `PersistenceMetaDataFactory`
  Create a new metadata parser.

  Overrides:
    `newXMLParser` in class `PersistenceMetaDataFactory`

### newXMLSerializer

    protected XMLPersistenceMetaDataSerializer newXMLSerializer()

  Description copied from class: `PersistenceMetaDataFactory`
  Create a new serializer

  Overrides:
    `newXMLSerializer` in class `PersistenceMetaDataFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.